*
* Generic pentode model: 12GN7A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:16 2008
*              Plate
*              | Screen Grid
*              | | Control Grid
*              | | | Cathode
*              | | | |
.SUBCKT 12GN7A A G2 G1 K
.param GG  {(V(G1,K)+-0.52499611)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.0070794303*EG2)^-0.51284817)}
.param M2  {((0.74521269*URAMP(GG+EG2/35.989804))^2.0128482)}
.param P   {(0.032317671*URAMP(GG+EG2/48.294674)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.018638041*M1*M2)}
.param IG  {(0.016158835*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.81776253*(1-EP/(EP+10))^1.5+0.18223747))}
.param IK3 {(IK2*(EP+1950)/(EG2+1950))}
.param IK4 {(IK3-URAMP(IK3-(0.017167779*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.017167779*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.12p
CGK G1 K  10.4p
C12 G1 G2 7p
CAK A  K  3.9p
.ENDS
