*
* Generic pentode model: 24
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:46:31 2008
*          Plate
*          | Screen Grid
*          | | Control Grid
*          | | | Cathode
*          | | | |
.SUBCKT 24 A G2 G1 K
.param GG  {(V(G1,K)+0.67663821)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.056557649*EG2)^-1.0488029)}
.param M2  {((0.58851157*URAMP(GG+EG2/7.2755574))^2.5488029)}
.param P   {(0.00036970393*URAMP(GG+EG2/12.362641)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.00025402288*M1*M2)}
.param IG  {(0.00018485196*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.89560668*(1-EP/(EP+10))^1.5+0.10439332))}
.param IK3 {(IK2*(EP+2237.1045)/(EG2+2237.1045))}
.param IK4 {(IK3-URAMP(IK3-(0.0002306046*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0002306046*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.007p
CGK G1 K  3.2p
C12 G1 G2 2.1p
CAK A  K  10.5p
.ENDS
