*
* Generic pentode model: 6BQ6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:21 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6BQ6 A G2 G1 K
.param GG  {(V(G1,K)+-0.12830687)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.15009144*EG2)^-1.2848724)}
.param M2  {((0.53862432*URAMP(GG+EG2/3.0739639))^2.7848724)}
.param P   {(0.0022372419*URAMP(GG+EG2/5.7070648)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0018337045*M1*M2)}
.param IG  {(0.0011186209*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.971797202*(1-EP/(EP+10))^1.5+0.028202798))}
.param IK3 {(IK2*(EP+1560)/(EG2+1560))}
.param IK4 {(IK3-URAMP(IK3-(0.0017316916*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0017316916*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.6p
CGK G1 K  8.7p
C12 G1 G2 5.8p
CAK A  K  6.4p
.ENDS
