*
* Generic triode model: 6BR7T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:24 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6BR7T A G K
.param GG {(V(G,K)+0.48180983)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.013959713*EP)^-0.49250535)}
.param M2 {((0.75282106*URAMP(GG+EP/17.706591))^1.9925054)}
.param P  {(0.00084041925*URAMP(GG+EP/23.520318)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00048560243*M1*M2)}
.param IG {(0.00042020962*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00047437278*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.6p
CGK G K 2.4p
CAK A K 4p
.ENDS
