*
* Generic pentode model: 6CL6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:43 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6CL6 A G2 G1 K
.param GG  {(V(G1,K)+0.23313833)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.023688975*EG2)^-0.93652529)}
.param M2  {((0.6156308*URAMP(GG+EG2/16.225658))^2.4365253)}
.param P   {(0.0060982027*URAMP(GG+EG2/26.356151)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0039229723*M1*M2)}
.param IG  {(0.0030491014*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.81697318*(1-EP/(EP+10))^1.5+0.18302682))}
.param IK3 {(IK2*(EP+3450)/(EG2+3450))}
.param IK4 {(IK3-URAMP(IK3-(0.0033994382*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0033994382*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.12p
CGK G1 K  6.5p
C12 G1 G2 4.4p
CAK A  K  5.4p
.ENDS
