*
* Generic triode model: 6DE72
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:47 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6DE72 A G K
.param GG {(V(G,K)+0.99984307)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.13594315*EP)^-2.0119972)}
.param M2 {((0.4271074*URAMP(GG+EP/4.2142073))^3.5119972)}
.param P  {(0.0042161959*URAMP(GG+EP/9.8668561)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0076124257*M1*M2)}
.param IG {(0.0021080979*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0027650373*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 8.5p
CGK G K 5.5p
CAK A K 1p
.ENDS
