*
* Generic pentode model: 6DQ6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:50 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6DQ6 A G2 G1 K
.param GG  {(V(G1,K)+-1)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.17812317*EG2)^-1.6443126)}
.param M2  {((0.47705181*URAMP(GG+EG2/2.9358797))^3.1443126)}
.param P   {(0.0034562529*URAMP(GG+EG2/6.1542156)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0040197798*M1*M2)}
.param IG  {(0.0017281264*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.980449351*(1-EP/(EP+10))^1.5+0.019550649))}
.param IK3 {(IK2*(EP+2287.5)/(EG2+2287.5))}
.param IK4 {(IK3-URAMP(IK3-(0.0026038839*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0026038839*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.5p
CGK G1 K  8.7p
C12 G1 G2 5.8p
CAK A  K  6.5p
.ENDS
