*
* Generic pentode model: 6GB8
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:09 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6GB8 A G2 G1 K
.param GG  {(V(G1,K)+0.18361766)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.023367579*EG2)^-0.5778846)}
.param M2  {((0.72188802*URAMP(GG+EG2/11.901617))^2.0778846)}
.param P   {(0.0065222813*URAMP(GG+EG2/16.486791)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0037584671*M1*M2)}
.param IG  {(0.0032611407*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.928052868*(1-EP/(EP+10))^1.5+0.071947132))}
.param IK3 {(IK2*(EP+2900)/(EG2+2900))}
.param IK4 {(IK3-URAMP(IK3-(0.0038634597*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0038634597*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  1.8p
CGK G1 K  13.4p
C12 G1 G2 9p
CAK A  K  16.3p
.ENDS
