*
* Generic triode model: 6GW8PT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:12 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6GW8PT A G K
.param GG {(V(G,K)+0.84112562)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.01029284*EP)^-0.37211195)}
.param M2 {((0.80123414*URAMP(GG+EP/19.311081))^1.872112)}
.param P  {(0.0043151181*URAMP(GG+EP/24.10167)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0025686773*M1*M2)}
.param IG {(0.0021575591*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.002428883*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.2p
CGK G K 5.8p
CAK A K 7.6p
.ENDS
