*
* Generic pentode model: 6K7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Wed Jun 30 20:54:56 2010
*           Plate
*           | Screen Grid
*           | | Control Grid
*           | | | Cathode
*           | | | |
.SUBCKT 6K7 A G2 G1 K
.param GG  {(V(G1,K)+-1)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((2.3738651*EG2)^-38.694622)}
.param M2  {((0.037318425*URAMP(GG+EG2/0.40553339))^40.194622)}
.param P   {(0.00060436625*URAMP(GG+EG2/10.866841)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*2.5180035e+51*M1*M2)}
.param IG  {(0.00030218313*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.800634*(1-EP/(EP+10))^1.5+0.199366))}
.param IK3 {(IK2*(EP+5600)/(EG2+5600))}
.param IK4 {(IK3-URAMP(IK3-(0.00038749733*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.00038749733*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.005p
CGK G1 K  4.2p
C12 G1 G2 2.8p
CAK A  K  12p
.ENDS
