*
* Generic pentode model: 6KV6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:25 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6KV6 A G2 G1 K
.param GG  {(V(G1,K)+0.5805065)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.16898169*EG2)^-1.508747)}
.param M2  {((0.4985464*URAMP(GG+EG2/2.9675026))^3.008747)}
.param P   {(0.0050541434*URAMP(GG+EG2/5.9523097)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0050986757*M1*M2)}
.param IG  {(0.0025270717*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.984089257*(1-EP/(EP+10))^1.5+0.015910743))}
.param IK3 {(IK2*(EP+1212.6074)/(EG2+1212.6074))}
.param IK4 {(IK3-URAMP(IK3-(0.0038528147*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0038528147*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.6p
CGK G1 K  12.9p
C12 G1 G2 8.6p
CAK A  K  8.4p
.ENDS
