*
* Generic pentode model: 6L6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:38 2008
*           Plate
*           | Screen Grid
*           | | Control Grid
*           | | | Cathode
*           | | | |
.SUBCKT 6L6 A G2 G1 K
.param GG  {(V(G1,K)+0.91804059)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.10751078*EG2)^-1.743575)}
.param M2  {((0.4624527*URAMP(GG+EG2/4.9999386))^3.243575)}
.param P   {(0.0016883841*URAMP(GG+EG2/10.811784)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0021948901*M1*M2)}
.param IG  {(0.0022135943*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.942171668*(1-EP/(EP+10))^1.5+0.057828332))}
.param IK3 {(IK2*(EP+2180)/(EG2+2180))}
.param IK4 {(IK3-URAMP(IK3-(0.00056920996*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.00056920996*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.6p
CGK G1 K  5.7p
C12 G1 G2 3.8p
CAK A  K  5.9p
.ENDS
