*
* Generic pentode model: 6LB6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:40 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6LB6 A G2 G1 K
.param GG  {(V(G1,K)+0.99700414)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.23985722*EG2)^-1.8495045)}
.param M2  {((0.44782743*URAMP(GG+EG2/2.3020886))^3.3495045)}
.param P   {(0.0060056363*URAMP(GG+EG2/5.1405708)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0088470322*M1*M2)}
.param IG  {(0.0030028181*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.9968847352*(1-EP/(EP+10))^1.5+0.0031152648))}
.param IK3 {(IK2*(EP+1465)/(EG2+1465))}
.param IK4 {(IK3-URAMP(IK3-(0.004837887*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.004837887*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.44p
CGK G1 K  19.5p
C12 G1 G2 13p
CAK A  K  17.6p
.ENDS
