*
* Generic pentode model: 6LG6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:42 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6LG6 A G2 G1 K
.param GG  {(V(G1,K)+1)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.11768156*EG2)^-0.95241752)}
.param M2  {((0.61164136*URAMP(GG+EG2/3.3000807))^2.4524175)}
.param P   {(0.0055353672*URAMP(GG+EG2/5.3954505)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.003591442*M1*M2)}
.param IG  {(0.0027676836*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.9939525995*(1-EP/(EP+10))^1.5+0.0060474005))}
.param IK3 {(IK2*(EP+1360)/(EG2+1360))}
.param IK4 {(IK3-URAMP(IK3-(0.0043758251*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0043758251*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.8p
CGK G1 K  14.5p
C12 G1 G2 9.7p
CAK A  K  12.2p
.ENDS
