*
* Generic triode model: ECC84
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:42 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT ECC84 A G K
.param GG {(V(G,K)+0.84230976)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.028730107*EP)^-1.1882664)}
.param M2 {((0.55798041*URAMP(GG+EP/15.38524))^2.6882664)}
.param P  {(0.0027771882*URAMP(GG+EP/27.573083)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0021056179*M1*M2)}
.param IG {(0.0013885941*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0015410372*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.3p
CGK G K 4.7p
CAK A K 0.4p
.ENDS
