*
* Generic pentode model: EL32
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:47 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT EL32 A G2 G1 K
.param GG  {(V(G1,K)+0.99999999)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.12471331*EG2)^-1.9909547)}
.param M2  {((0.42968188*URAMP(GG+EG2/4.5730334))^3.4909547)}
.param P   {(0.0011713028*URAMP(GG+EG2/10.642835)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0020582453*M1*M2)}
.param IG  {(0.00058565141*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.87143806*(1-EP/(EP+10))^1.5+0.12856194))}
.param IK3 {(IK2*(EP+3110)/(EG2+3110))}
.param IK4 {(IK3-URAMP(IK3-(0.00075455382*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.00075455382*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  4p
CGK G1 K  2.4p
C12 G1 G2 1.6p
CAK A  K  4p
.ENDS
