*
* Generic pentode model: KT88
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:55 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT KT88 A G2 G1 K
.param GG  {(V(G1,K)+0.99999999)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.097534908*EG2)^-1.4398564)}
.param M2  {((0.51022901*URAMP(GG+EG2/5.0214944))^2.9398564)}
.param P   {(0.0031096914*URAMP(GG+EG2/9.8416483)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0029317575*M1*M2)}
.param IG  {(0.0015548457*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.88165022*(1-EP/(EP+10))^1.5+0.11834978))}
.param IK3 {(IK2*(EP+1850)/(EG2+1850))}
.param IK4 {(IK3-URAMP(IK3-(0.0020406477*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0020406477*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  1.2p
CGK G1 K  9p
C12 G1 G2 6p
CAK A  K  10.9p
.ENDS
